

function x=solvetrig(a,b,c,f)
#rozwiazujemy uklad z m trojdiagonlana 
#a diagonala b naddiagonala c pododiagonala
#f wektor prawej strony
#x rozwiazanie otrzymane pragonka

N=length(a);
x=zeros(N,1);
for k=1:N-1,
 c(k)=c(k)/a(k);
 a(k+1)-=c(k)*b(k);
 f(k+1)-=c(k)*f(k);
endfor

#A teraz obliczamy rozwiazanie
x(N)=f(N)/a(N);
for k=N-1:-1:1,
 x(k)=(f(k)-x(k+1)*b(k))/a(k);
endfor
endfunction

