#!/usr/bin/octave
#testujemy solvetrig

echo on

if(!exist('N'))
 N=5000;
endif

#definiujemy macierz trojdiagonalna
A=2*diag(ones(N,1))-diag(ones(N-1,1),1)-diag(ones(N-1,1),-1);
#wyciagamy diagonale i obliczamy wektor prawej strony
a=diag(A);b=c=diag(A,1);sol=ones(N,1);f=A*sol;
#rozwiazujemy naszym solverem (LU dla 3diag) w m-pliku
tic;x2=solvetrig(a,b,c,f);czas=toc;
printf("Czas rozw LU dla 3diag dla N=%d %g\n",N,czas);
#liczymy normy bledu i bledu residuum
err2=norm(x2-sol,2)
errr2=norm(A*x2-f,2)
#rozwiazujemy solverem octave'a
tic;x1=A\f;czas=toc;
printf("Czas rozw solver octave'a dla 3diag dla N=%d %g\n",N,czas);
err1=norm(x2-sol,2)
errr1=norm(A*x1-f,2)
#rozwiazujemy liczac x3=A^{-1}f
tic;x3=inv(A)*f;czas=toc;
printf("Czas rozw LU dla 3diag mnozac przez odwrotna dla N=%d %g\n",N,czas);
err3=norm(x3-sol,2)
errr3=norm(A*x3-f,2)
echo off
